#include <jlog/jlog.hpp>
#include <fstream>
#include <iostream>
#include <chrono>

/*
#ifdef WIN32
    #define NOMINMAX
    #include <windows.h>
#endif
 */

namespace jlog
{
    Logger info {"info", Colors::Primary::Green};
    Logger warning {"warning", Colors::Primary::Yellow};
    Logger error {"error", Colors::Primary::Red};
    Logger fatal {"fatal", Colors::Reds::Crimson};
    Logger verbose {"verbose", Colors::Primary::Blue};
    Logger debug {"debug", Colors::Purples::Purple};

    void SetTracebackOnGlobalLoggers(bool enabled) {
        info.SetTraceback(enabled);
        warning.SetTraceback(enabled);
        error.SetTraceback(enabled);
        fatal.SetTraceback(enabled);
        verbose.SetTraceback(enabled);
        debug.SetTraceback(enabled);
    }
}
